
<ion-content id="listScroll">
    <ion-grid>
        <ion-item color="danger">Předměty podle oboru na {{titulek}}</ion-item>
        <div class="okenko radek">

            <ion-list class="radek" *ngFor="let predmet of (zobraz)">
                <ion-row>
                    <ion-checkbox [(ngModel)]="predmet.jePridan" (ionChange)="klikPridatPredmet($event, predmet)" color="danger"></ion-checkbox>
                    <ion-col size="5">{{predmet.katedra}}/{{predmet.zkratka}}</ion-col><ion-col size="5">Statut předmětu</ion-col><ion-col>{{predmet.statut}}</ion-col>
                </ion-row>
                <ion-row><ion-col>{{predmet.nazev}}</ion-col></ion-row>
                <ion-row><ion-col size="4">Počet kreditů:</ion-col><ion-col>{{predmet.kreditu}}</ion-col></ion-row>
                <div [hidden]=predmet.doporuceni>
                    <ion-row><ion-col size="5">Doporučený ročník:</ion-col><ion-col>{{predmet.doporucenyRocnik}}.</ion-col></ion-row>
                </div>
                <div [hidden]=predmet.podminujiciPredmetyZobraz>
                    <ion-row><ion-col size="5">Podmiňující předměty:</ion-col><ion-col>{{predmet.podminujiciPredmety}}</ion-col></ion-row>
                </div>
                <div [hidden]=predmet.vylucujiciPredmetyZobraz>
                    <ion-row><ion-col size="5">Vylučující předměty:</ion-col><ion-col>{{predmet.vylucujiciPredmety}}</ion-col></ion-row>
                </div>
                <div [hidden]=predmet.podminujePredmetyZobraz>
                    <ion-row><ion-col size="5">Podmiňuje předměty:</ion-col><ion-col>{{predmet.podminujePredmety}}</ion-col></ion-row>
                </div>
            </ion-list>
        </div>
        <ion-row><ion-col size="3"></ion-col><ion-col size="6"> <ion-button color="danger" (click)="klikJinyPredmet()">Přidat jiný předmět</ion-button></ion-col></ion-row>
        <ion-row>
            <ion-col size="3"><ion-button expand="block" color="danger" (click)="klikPredchozi()"><ion-icon name="arrow-back"></ion-icon></ion-button></ion-col>
            <ion-col size="3"> <ion-button expand="block" color="danger" (click)="klikDalsi()"><ion-icon name="arrow-forward"></ion-icon></ion-button></ion-col>
            <ion-col size="3"><ion-button expand="block" color="danger" (click)="klikUlozit()">Uložit</ion-button></ion-col>
            <ion-col size="3"><ion-button expand="block" color="danger" (click)="klikZapsane()">Vybrané</ion-button></ion-col>
        </ion-row>
    </ion-grid>
</ion-content>
<app-menu></app-menu>
